Can clang compile for OS X 10.4?

According to Xcode's Release Notes, "...neither gcc-4.2 nor llvm-gcc-4.2 will compile code against the 10.4u or earlier SDK, or deploy for Mac OS X 10.4 or earlier."
Does clang have this (unexplained) limitation?

Robert P.

Clang can build for 10.4, though this has not been widely tested. llvm-gcc and gcc-4.2 don't support 10.4 because they install their compiler private headers *into* the SDKs and those SDKs don't have support for 4.2. Clang doesn't install its private headers in the SDK.

-Chris